{% extends 'core/base.html' %}
{% load static %}
{% block title %}Iniciar sesión{% endblock %}
{% block content %}

<main role="main">
    <div class="container bg-light">
      <div class="row mt-3">
        <div class="col-md-4 mx-auto mb-4">
        {% if 'register' in request.GET %}
          <p style="color:green;">Usuario registrado correctamente, ya puedes identificarte</p>
        {% endif %}
          <form action="" method="post">{% csrf_token %}
            <h3 class="mb-4 text-center">Iniciar sesión</h3>
            {% if form.non_field_errors %}
              <p style="color:red">Usuario o contraseña incorrectos, prueba de nuevo.</p>
            {% endif %}
            <p>
              <input type="text" name="username" autofocus maxlength="254" required
                id="id_username" class="form-control" placeholder="Nombre de usuario"/>
            </p>
            <p>
              <input type="password" name="password" required
                id="id_password" class="form-control" placeholder="Contraseña"/>
            </p>
            <p><input type="submit" class="btn btn-primary btn-block" value="Acceder"></p>
          </form>
          <p>¿Ha olvidado su clave? Puede restaurarla<a href="{% url 'password_reset' %}"> aquí</a>.</p>
        </div>
      </div>
    </div>
</main>

{% endblock %}